# GlxLate
Perform various operations for Symitar parameters.


**Symitar eDocs References:** Coming soon.

## Operations

### getGlxLate

POST `/nexum/{sym}/2022.01/parameter/getGlxLate`

Retrieve GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-glxlate.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| GlxLateGlCode | integer | No |  |
| GlxLateTypeList | integer | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlxLateGlCode": 0,
  "GlxLateTypeList": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| GlxLate | object | No | SampleData |

```json
{
  "GlxLate": {
    "RecordChangeDate": "2026-01-01"
  },
  "MessageId": "string"
}
```

### getGlxLateSelectFields

POST `/nexum/{sym}/2022.01/parameter/getGlxLateSelectFields`

Retrieve GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-glxlate.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| GlxLateGlCode | integer | No |  |
| GlxLateTypeList | integer | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllGlxLateFields": true
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| GlxLate | object | No | SampleData |

```json
{
  "GlxLate": {
    "RecordChangeDate": "2026-01-01"
  },
  "MessageId": "string"
}
```

### getGlxLatePagedList

POST `/nexum/{sym}/2022.01/parameter/getGlxLatePagedList`

Retrieve GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-glxlate.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| PagingRequestContext | object | Yes |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| GlxLate | object[] | No |  |
| Token | string | No |  |

```json
{
  "GlxLate": [],
  "Token": null,
  "MessageId": "string"
}
```

### getGlxLateListSelectFields

POST `/nexum/{sym}/2022.01/parameter/getGlxLateListSelectFields`

Retrieve GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-glxlate.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| SelectableFields | object | Yes |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllGlxLateFields": true
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| GlxLateList | object | No |  |

```json
{
  "GlxLateList": [],
  "MessageId": "string"
}
```

### searchGlxLateSelectFields

POST `/nexum/{sym}/2022.01/parameter/searchGlxLateSelectFields`

Search GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-glxlate.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| SelectableFields | object | No |  |
| SearchFilter | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllGlxLateFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| GlxLateList | object | No |  |

```json
{
  "GlxLateList": [],
  "MessageId": "string"
}
```

### getGlxLatePagedListSelectFields

POST `/nexum/{sym}/2022.01/parameter/getGlxLatePagedListSelectFields`

Retrieve GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-glxlate.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllGlxLateFields": true
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| GlxLate | object[] | No |  |
| Token | string | No |  |

```json
{
  "GlxLate": [],
  "Token": null,
  "MessageId": "string"
}
```

### searchGlxLatePagedSelectFields

POST `/nexum/{sym}/2022.01/parameter/searchGlxLatePagedSelectFields`

Search GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-glxlate.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| Query | string | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "string",
  "SelectableFields": {
    "IncludeAllGlxLateFields": true
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| GlxLate | object[] | No |  |
| Token | string | No |  |

```json
{
  "GlxLate": [],
  "Token": null,
  "MessageId": "string"
}
```

### updateGlxLateByID

POST `/nexum/{sym}/2022.01/parameter/updateGlxLateByID`

Update GlxLate parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-glxlate.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| GlxLateGlCode | integer | No |  |
| GlxLateTypeList | integer | No |  |
| GlxLateUpdatableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlxLateGlCode": 0,
  "GlxLateTypeList": 0,
  "GlxLateUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| UpdateStatus | object | No |  |

```json
{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "string"
}
```
